Latest 0.0.9
Homepage https://github.com/squiggle-dev/squiggle-objc
License BSD
Platforms ios 6.0, osx 10.8, requires ARC
Dependencies AFNetworking, JSONModel, ISO8601
Frameworks SystemConfiguration
Authors

Requirements

The API client library requires ARC (Automatic Reference Counting) to be enabled in your Xcode project.

Installation

To install it, put the API client library in your project and then simply add the following line to your Podfile:

pod "SquiggleApi", :path => "/path/to/lib"

Recommendation

It’s recommended to create an instance of ApiClient per thread in a multithreaded environment to avoid any potential issue.

Publishing to CocoaPods

  • Push latest changes to Github and tag the commit with the version number
  • Run pod trunk push SquiggleApi.podspec --allow-warnings

Author

Latest podspec

{
    "name": "SquiggleApi",
    "version": "0.0.9",
    "summary": "Squiggle API",
    "description": "Objective C client for the Squiggle API",
    "platforms": {
        "ios": "6.0",
        "osx": "10.8"
    },
    "requires_arc": true,
    "frameworks": "SystemConfiguration",
    "homepage": "https://github.com/squiggle-dev/squiggle-objc",
    "license": {
        "type": "BSD",
        "file": "LICENSE.md"
    },
    "source": {
        "git": "https://github.com/squiggle-dev/squiggle-objc.git",
        "tag": "v0.0.9"
    },
    "authors": {
        "Andy White": "[email protected]"
    },
    "source_files": "SquiggleApi/**/*",
    "public_header_files": "SquiggleApi/**/*.h",
    "dependencies": {
        "AFNetworking": [
            "~> 2.5.4"
        ],
        "JSONModel": [
            "~> 1.1.0"
        ],
        "ISO8601": [
            "~> 0.3.0"
        ]
    }
}

Pin It on Pinterest

Share This